Skip to main content
PATCH
Decline Upsell

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required
upsell_id
string
required

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

abandoned_checkout_enabled
boolean | null

If set to true abandonded checkout reminder emails will be sent to the customer.

billing_matches_shipping
boolean

If set to true the shipping address will be used for the billing address.

currency
string

Three-letter ISO currency code, in lowercase. This value will match the Account currency.

email
string | null

The email of the customer. If customers exists with this email, the most recently active/updated customer will be associated. If no customers exist with this email, a new customer will be created. If a customer_id is also passed then this will take precedence and the customer will not be looked up by email.

external_url
string | null

If set, this URL will be used whenever redirecting to the external checkout portal. If not set, the default external_url from the CheckoutPortalProtocol will be used.

first_name
string | null

The customer’s first name.

ip_address
string | null

The IP address of the customer for this checkout.

group_key
string | null

A key used to retrieve groups of checkouts dynamically from a static string.

last_name
string | null

The customer’s last name.

latitude
number | null

The latitude captured for this checkout, in decimal degrees.

longitude
number | null

The longitude captured for this checkout, in decimal degrees.

live_mode
boolean

Set to true if this checkout is in live mode, and set to false if it is in test mode.

name
string | null

The customer’s full name or business name. If set, this will take precedence over the separate first_name and last_name attributes.

tax_behavior
string

The tax behavior for this checkout. One of exclusive or inclusive.

tax_enabled
boolean

Whether or not tax is enabled for this checkout. This will default to the account's tax_protocol.tax_enabled value when the checkout is created.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

amount_due
integer

Total amount due after all adjustments (i.e. trials, credits, proration).

applied_balance_amount
integer

The customer balance amount that was applied to this checkout.

available_countries
array

A list of countries available for this checkout, represented in the two-letter (ISO 3166-1 alpha-2) format.

billing_address

Expandable – The associated address ID.

charges

Expandable – Property not returned unless expanded.

checkout_fees

Expandable – Property not returned unless expanded.

checkout_fees_amount
integer

The total amount of checkout fees applied to this checkout.

credited_balance_amount
integer

The amount the customer's balance was credited from this checkout.

current_payment_intent

The current payment intent to be used to pay the checkout. (This will only be set once the checkout has been finalized.)

Expandable – The associated payment intent ID.

current_upsell

The upsell to be shown to the customer. (This will only be set once the checkout has been paid and an upsell funnel is set on the checkout.)

Expandable – The associated upsell ID.

customer

The customer will only be set once the checkout has been finalized.

Expandable – The associated customer ID.

discount

Expandable – The associated discount ID.

discount_amount
integer

Total discount amount of all line items.

geo_address

Expandable – The associated address ID.

ip_geo_address

Expandable – The associated address ID.

free_shipping_choice_shortage_amount
integer | null

The amount that needs to be added to the checkout to qualify for free shipping. If null, then a free shipping choice is not available or it has already qualified.

full_amount
integer

The full amount to be charged across all periods.

g_weight
number

Total weight of the entire checkout in grams.

inherited_billing_address

The inherited billing address of the checkout or customer. This is controlled by the inherit_customer_enabled attribute on the account's order protocol.

Expandable – The associated address ID.

inherited_email
string | null

The inherited email of the checkout or customer. This is controlled by the inherit_customer_enabled attribute on the account's order protocol.

inherited_name
string | null

The inherited name of the checkout or customer. This is controlled by the inherit_customer_enabled attribute on the account's order protocol.

inherited_phone
string | null

The inherited phone of the checkout or customer. This is controlled by the inherit_customer_enabled attribute on the account's order protocol.

inherited_shipping_address

The inherited shipping address of the checkout or customer. This is controlled by the inherit_customer_enabled attribute on the account's order protocol.

Expandable – The associated address ID.

inherited_tax_identifier

The inherited tax identifier of the checkout or customer. This is controlled by the inherit_customer_enabled attribute on the account's order protocol.

Expandable – The associated tax identifier ID.

invoice

Expandable – The associated invoice ID.

last_click

Expandable – The associated click ID.

line_items

Expandable – Property not returned unless expanded.

manual_charges

Expandable – Property not returned unless expanded.

manual_payment
boolean

Whether or not this checkout has been finalized with the manual_payment=true option.

manual_payment_method

Expandable – The associated manual payment method ID.

remaining_amount_due
integer

The remaining amount that is due for this checkout – the amount_due - paid_amount.

net_paid_amount
integer

The net amount that has been paid for this checkout – the paid_amount minus the refunded_amount.

order

Expandable – The associated order ID.

paid_amount
integer

The total amount that has been paid for this checkout – the sum of charges and manual charges.

paid_at
integer | null

Time at which the object was paid. Measured in seconds since the Unix epoch.

payment_failures

Expandable – Property not returned unless expanded.

payment_method_required
boolean

Whether or not a payment method is required for this checkout. If false, the checkout will immediately transition to the paid state when finalized.

phone_required
boolean

Whether or not a phone number is required for this checkout.

portal_url
string | null

A URL that will redirect to this checkout's correct portal page (hosted or external).

processor_data
object

All of the additional data necessary to capture payment with each processor.

proration_amount
integer

Total amount to be prorated from this checkout.

purchases

Expandable – Property not returned unless expanded.

Expandable – Property not returned unless expanded.

referral

Expandable – The associated referral ID.

refunded_amount
integer

The total amount that has been refunded for this checkout – the sum of refunds.

reusable_payment_method_required
boolean

Whether or not a reusable payment method is required for this checkout.

selected_shipping_choice_required
boolean

Whether or not a shipping choice must be selected for this checkout.

selected_shipping_choice

Expandable – The associated shipping choice ID.

shipping_address

Expandable – The associated address ID.

shipping_address_accuracy_requirement
string | null

The required level of accuracy for the shipping address – one of full, tax, or none.

shipping_amount
integer

Total shipping amount for the checkout.

shipping_choices

Expandable – Property not returned unless expanded.

shipping_fees

Expandable – Property not returned unless expanded.

shipping_enabled
boolean

Whether or not this checkout has products with shipping_enabled=true.

shipping_fees_amount
integer

The total amount of shipping fees applied to the shipping_amount.

shipping_tax_amount
number

Total tax from shipping.

shipping_tax_rate
number

The tax rate applied to shipping.

status
string

The current status of this checkout, which can be one of canceled, draft, finalized, paid, payment_intent_canceled, payment_failed, or processing.

subtotal_amount
integer

Total of all line items and their fees before discounts or taxes are applied.

tax_amount
integer

Total tax amount of all line items.

tax_breakdown
object[]

The tax rate breakdown for this checkout.

tax_status
string

The status of tax calculations for this checkout. One of address_invalid, calculated, disabled, estimated, reverse_charged, or tax_zone_not_found.

tax_identifier

Expandable – The associated tax identifier ID.

total_amount
integer

Total of all line items after discounts and taxes are applied.

total_savings_amount
integer

The total amount in cents that was saved on this checkout taking into account all negative fees, discounts, and all price scratch_amount values.

trial_amount
integer

The total amount in cents that is removed from this checkout due to trial periods.

upsells_expire_at
integer | null

The time at which upsells will expire for this checkout. Measured in seconds since the Unix epoch.

upsell_funnel

Expandable – The associated upsell funnel ID.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.